Skip to main content
GET
List member tier transactions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

programId
string
required

Unique loyalty program identifier (format: lprg_ followed by hexadecimal characters).

memberId
string
required

Program member ID (format lmbr_[a-f0-9]+).

Pattern: ^lmbr_[a-f0-9]+$

Query Parameters

limit
integer | null
default:10

Maximum number of items to return. An integer between 1 and 100; numeric strings are also accepted. Defaults to 10.

Required range: 1 <= x <= 100
order

Sort order. A field name, optionally prefixed with - for descending order. May be provided multiple times (array). The same field cannot be used in both ascending and descending order at once. Default: -created_at.

Available options:
-created_at,
created_at
cursor
string | null

Pagination cursor returned in the cursor.next field of a previous response (format: lcrsttx_ followed by hexadecimal characters).

Pattern: ^lcrsttx_[a-f0-9]+$
filters
object

Field filters, e.g. filters[card_id][conditions][$is]=lcrd_.... Each field accepts a conditions object with condition operators.

Filters for listing tier transactions.

Response

Paginated list of tier transactions.

Paginated list of tier transactions.

data
object[]

Tier transactions.

cursor
object | null

Pagination cursor. null when there are no more results.

object
string

Object type marker. Always list.

Allowed value: "list"
Last modified on July 13, 2026